Skip to content

Create or update NTRIP credentials​

PUT
/devices/{id}/rtk/ntrip

Creates manual credentials at the next available priority when priority is omitted. At an existing priority, credentials are updated unless insert is true, which inserts and shifts later priorities.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

Device ID

Type
integer
Required

Request Body​

application/json
JSON
{
  
"host": "string",
  
"insert": true,
  
"mountpoint": "string",
  
"password": "string",
  
"port": 0,
  
"priority": 0,
  
"username": "string"
}

Request example

Responses​

OK

application/json
JSON
{
  
"deviceId": 0,
  
"hostname": "string",
  
"mountpoint": "string",
  
"password": "string",
  
"portNum": 0,
  
"priority": 0,
  
"username": "string"
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value
Body

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
info:
  title: Lightbug API
  version: '2'
externalDocs:
  description: ''
  url: ''
openapi: 3.1.0
servers:
  - url: https://api.lightbug.cloud/v2
security:
  - ApiKeyAuth: []
tags: []
paths:
  /devices/{id}/rtk/ntrip:
    put:
      description: Creates manual credentials at the next available priority when priority is omitted. At an existing priority, credentials are updated unless insert is true, which inserts and shifts later priorities.
      parameters:
        - description: Device ID
          in: path
          name: id
          required: true
          schema:
            type: integer
requestBody:
yaml
        content:
          application/json:
            schema:
              properties:
                host:
                  maxLength: 255
                  type: string
                insert:
                  description: If true and priority specified, insert and shift existing credentials
                  type: boolean
                mountpoint:
                  maxLength: 45
                  type: string
                password:
                  maxLength: 45
                  type: string
                port:
                  maximum: 65535
                  minimum: 1
                  type: integer
                priority:
                  description: If nil, append to end
                  type: integer
                username:
                  maxLength: 45
                  type: string
              required:
                - host
                - mountpoint
                - password
                - port
                - username
              type: object
        description: NTRIP credentials
        required: true
yaml
      responses:
'200':
yaml
          content:
            application/json:
              schema:
                properties:
                  deviceId:
                    type: integer
                  hostname:
                    type: string
                  mountpoint:
                    type: string
                  password:
                    type: string
                  portNum:
                    type: integer
                  priority:
                    type: integer
                  username:
                    type: string
                type: object
          description: OK
'400':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Invalid device ID or request body
'401':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Unauthorized
'404':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Device not found
'409':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: A trial credential cannot become secondary
'500':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Failed to update credentials
yaml
      security:
        - ApiKeyAuth: []
      summary: Create or update NTRIP credentials
      tags:
        - rtk
      operationId: put-devices-id-rtk-ntrip
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...